Subject: Re: bug#61098: 29.0.60; Confusing behavior of show-paren-mode

From: Stefan Monnier <[email-masked]>
Date: Tue, 31 Jan 2023 17:42:09 -0500

> I'm still waiting for Stefan to help me understand why after that
> patch "M-x show-paren-local-mode" _disables_ the mode rather than
> enabling it.  Stefan, any wisdom?

Not sure.  I don't quite understand how your patch intends to work.
>From where I sit I get the impression that it will result in an
inconsistent state in various "corner" cases.

Dmitry's patch seems closer to my intuition (I might even suggest
removing the `kill-local-variable` altogether).

        Stefan